#!/bin/bash

set -o errexit


VERSION=$1
TAG="v$VERSION"

DIRNAME="grammalecte-$VERSION"
SRC_TARBALL="$DIRNAME.tar.xz"

declare -a UNVERSIONED_FILES=(
    "stats_frwiki.txt"
    "stats_frwikisource.txt"
    "stats_google_ngram_1.txt"
    "stats_litterature.txt"
)

# http://code.grammalecte.net:8080/wiki?name=How+to+clone+this+repository
fossil open --workdir "$DIRNAME" --repodir "$DIRNAME" http://code.grammalecte.net:8080/
# Checkout seems broken. Use tarball instead
curl -L "http://code.grammalecte.net:8080/tarball/$TAG/$DIRNAME.tar.gz" | tar -xzf -
pushd "$DIRNAME/gc_lang/fr/dictionnaire/lexique/corpus_data/"
for i in "${UNVERSIONED_FILES[@]}"; do
    fossil uv export "$i" "$i"
done
popd
rm "$DIRNAME/.fslckout" "$DIRNAME/.fossil"

tar -cJf "$SRC_TARBALL" "$DIRNAME"
rm -r "$DIRNAME"
